org.deidentifier.arx

## Enum ARXPopulationModel.Region

- java.lang.Object
- - java.lang.Enum<ARXPopulationModel.Region>
  - - org.deidentifier.arx.ARXPopulationModel.Region

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ARXPopulationModel.Region>

Enclosing class:
  ARXPopulationModel

    public static enum ARXPopulationModel.Region
    extends java.lang.Enum<ARXPopulationModel.Region>
    implements java.io.Serializable

Regions

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AFRICA`
`AUSTRALIA`
`BRASIL`
`CANADA`
`CHINA`
`EUROPE`
`EUROPEAN_UNION`
`FRANCE`
`GERMANY`
`INDIA`
`NONE`
`NORTH_AMERICA`
`SOUTH_AMERICA`
`UK`
`USA`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`long` `getPopulationSize()`
`static ARXPopulationModel.Region` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ARXPopulationModel.Region[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final ARXPopulationModel.Region NONE

#### AFRICA

    public static final ARXPopulationModel.Region AFRICA

#### AUSTRALIA

    public static final ARXPopulationModel.Region AUSTRALIA

#### EUROPE

    public static final ARXPopulationModel.Region EUROPE

#### NORTH_AMERICA

    public static final ARXPopulationModel.Region NORTH_AMERICA

#### SOUTH_AMERICA

    public static final ARXPopulationModel.Region SOUTH_AMERICA

#### EUROPEAN_UNION

    public static final ARXPopulationModel.Region EUROPEAN_UNION

#### BRASIL

    public static final ARXPopulationModel.Region BRASIL

#### CANADA

    public static final ARXPopulationModel.Region CANADA

#### CHINA

    public static final ARXPopulationModel.Region CHINA

#### FRANCE

    public static final ARXPopulationModel.Region FRANCE

#### GERMANY

    public static final ARXPopulationModel.Region GERMANY

#### INDIA

    public static final ARXPopulationModel.Region INDIA

#### UK

    public static final ARXPopulationModel.Region UK

#### USA

    public static final ARXPopulationModel.Region USA

### Method Detail

#### values

    public static ARXPopulationModel.Region[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ARXPopulationModel.Region c : ARXPopulationModel.Region.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ARXPopulationModel.Region valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getName

    public java.lang.String getName()

Returns:
  the name

#### getPopulationSize

    public long getPopulationSize()

Returns:
  the population